curl --request GET \
--url https://flowra.dev/api/v1/auth_configs \
--header 'x-api-key: <api-key>'import requests
url = "https://flowra.dev/api/v1/auth_configs"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://flowra.dev/api/v1/auth_configs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Data retrieved successfully",
"data": [
{
"id": "auth_config_123",
"uuid": "uuid_123",
"type": "default",
"toolkit": {
"slug": "slack",
"logo": "https://example.com/logo.png"
},
"name": "slack-9qmlw6",
"displayName": "Slack staging",
"authScheme": "OAUTH2",
"provider": "COMPOSIO",
"externalId": "auth_config_123",
"isProviderManaged": true,
"credentials": {},
"proxyConfig": {
"proxyUrl": "https://proxy.example.com",
"proxyAuthKey": "auth_key_123"
},
"status": "ENABLED",
"createdBy": "user_123",
"createdAt": "2023-01-01T00:00:00Z",
"lastUpdatedAt": "2023-01-01T00:00:00Z",
"noOfConnections": 5,
"expectedInputFields": [
{}
],
"restrictToFollowingTools": [
"tool1",
"tool2"
],
"toolAccessConfig": {
"toolsForConnectedAccountCreation": [
"tool1",
"tool2"
],
"toolsAvailableForExecution": [
"tool3",
"tool4"
]
},
"deprecatedParams": {
"defaultConnectorId": "connector_123",
"memberUuid": "member_uuid_123",
"toolkitId": "toolkit_123",
"expectedInputFields": {}
}
}
],
"total": 100,
"totalTools": 5000,
"page": 1,
"limit": 20,
"totalPages": 5,
"hasNextPage": true,
"hasPreviousPage": false
}List auth configurations
List OAuth or API-key auth configurations used by your toolkits (e.g. Slack, Google). Use to see which connections are set up and manage credentials.
Authorizations
Project API key. Create and manage keys in the dashboard under Project → API Keys. Send as header: x-api-key:
Query Parameters
Search keyword for filtering results
"john doe"
Page number (1-based)
x >= 11
Number of items per page
1 <= x <= 10010
Number of items to skip (for offset-based pagination)
x >= 00
Field name to sort by
"createdAt"
Sort order
ASC, DESC "DESC"
Comma-separated list of fields to include in response
"id,name,email"
Provider to filter by
COMPOSIO, LOCAL "COMPOSIO"
Comma-separated list of toolkit slugs to filter auth configs by
"gmail,slack"
Legacy app id filter
"app_gmail"
Legacy status filter
ENABLED, DISABLED "ENABLED"
Show disabled auth configs
false
Search auth configs by name
"Gmail"
Cursor for pagination. The cursor is a base64 encoded string of the page and limit.
"eyJwYWdlIjoxLCJsaW1pdCI6MTB9"
Response
Auth configs retrieved successfully
Success status
true
Response message
"Data retrieved successfully"
Array of items
Show child attributes
Show child attributes
[
{
"id": "auth_config_123",
"uuid": "uuid_123",
"type": "default",
"toolkit": {
"slug": "slack",
"logo": "https://example.com/logo.png"
},
"name": "slack-9qmlw6",
"displayName": "Slack staging",
"authScheme": "OAUTH2",
"provider": "COMPOSIO",
"externalId": "auth_config_123",
"isProviderManaged": true,
"credentials": {},
"proxyConfig": {
"proxyUrl": "https://proxy.example.com",
"proxyAuthKey": "auth_key_123"
},
"status": "ENABLED",
"createdBy": "user_123",
"createdAt": "2023-01-01T00:00:00Z",
"lastUpdatedAt": "2023-01-01T00:00:00Z",
"noOfConnections": 5,
"expectedInputFields": [{}],
"restrictToFollowingTools": ["tool1", "tool2"],
"toolAccessConfig": {
"toolsForConnectedAccountCreation": ["tool1", "tool2"],
"toolsAvailableForExecution": ["tool3", "tool4"]
},
"deprecatedParams": {
"defaultConnectorId": "connector_123",
"memberUuid": "member_uuid_123",
"toolkitId": "toolkit_123",
"expectedInputFields": {}
}
}
]
Total number of items across all pages
100
Optional secondary total (e.g. nested tools across all matching toolkits)
5000
Current page number (1-based)
1
Number of items per page
20
Total number of pages
5
Whether there is a next page
true
Whether there is a previous page
false
Was this page helpful?